Subject: Re: Trouble with texi2dvi with gcc on cygwin, win98
From: "Gerrit P. Haase" <[email-masked]>
To: Rob B <[email-masked]>, [email-masked]
Date: Tue, 11 Sep 2001 11:56:50 +0200

Rob B schrieb am 2001-05-10, 20:45:

>I am running cygwin on my win98 machine.  I downloaded
>gcc-2.95.3, and I wanted to print out the manual.  I
>used cygwin gunzip and tar programs to uncompress the
>tarball.  I don't know if this problem is with cygwin
>or gcc.  I went to the gcc directory and ran the
>command:
>
>texi2dvi gcc.texi
>
>When I run the above command, I get the following
>output to my screen:
>
>./rtl.texi:870: warning: unlikely character ) in @var.
>stdin:139: Next field of node `Top' not pointed to.
>stdin:176: This node (G++ and GCC) has the bad Prev.
>stdin:176: `G++ and GCC' has no Up field.
>./invoke.texi:6: `Invoking GCC' has no Up field.
>./install.texi:12: `Installation' has no Up field.
>./extend.texi:5: `C Extensions' has no Up field.
>./extend.texi:3125: `C++ Extensions' has no Up field.
>./gcov.texi:5: `Gcov' has no Up field.
>stdin:240: `Trouble' has no Up field.
>stdin:2082: `Bugs' has no Up field.
>stdin:2588: `Service' has no Up field.
>stdin:2606: `Contributing' has no Up field.
>stdin:2621: `VMS' has no Up field.
>stdin:2950: `Portability' has no Up field.
>stdin:2986: `Interface' has no Up field.
>stdin:3092: `Passes' has no Up field.
>./rtl.texi:5: `RTL' has no Up field.
>./md.texi:6: `Machine Desc' has no Up field.
>./tm.texi:5: `Target Macros' has no Up field.
>stdin:3583: `Config' has no Up field.
>stdin:3805: `Fragments' has no Up field.
>stdin:3962: `Funding' has no Up field.
>stdin:4011: `GNU/Linux' has no Up field.
>stdin:4110: `Copying' has no Up field.
>stdin:4493: `Contributors' has no Up field.
>stdin:4681: `Index' has no Up field.
>makeinfo: Removing output file `/dev/null' due to
>errors; use --force to preserv
>e.
>This is TeX, Version 3.14159 (Web2C 7.3.3)
>I can't find the format file `tex.fmt'!
>/usr/bin/texi2dvi: tex exited with bad status,
>quitting.
>/usr/bin/texi2dvi: see gcc.log for errors.
>
>
>Can anybody help?  Is this a problem with the texi2dvi
>with cygwin, or is it a problem with gcc?

texi2dvi needs TeX (in the tetex package) to be installed which 
is part of cygwin's netrelease.
I found this posting because i have some trouble with texi2dvi 
and i believe it is buggy, but i haven't tracked it down yet.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/